#!/bin/bash

OUTFILE=privs.sql
SCHEMA=mysql
TABLES=(
	global_priv
	db
	tables_priv
	columns_priv
	procs_priv
	proxies_priv
	roles_mapping
)

echo "USE \`$SCHEMA\`;" > "$OUTFILE"

for TABLE in "${TABLES[@]}"
do
	echo "TRUNCATE TABLE \`$SCHEMA\`.\`$TABLE\`;" >> "$OUTFILE"
done

echo "" >> "$OUTFILE"
mysqldump --no-create-info --skip-triggers "$SCHEMA" ${TABLES[@]} >> "$OUTFILE"

echo "FLUSH PRIVILEGES;" >> "$OUTFILE"
